"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var c = require('../../app-dir/socket-constants');

var DevSocketClass =
/*#__PURE__*/
function () {
  function DevSocketClass() {
    (0, _classCallCheck2.default)(this, DevSocketClass);
    this.running = false;
    this.init = this.init.bind(this);
    this.getSocket = this.getSocket.bind(this);
  }

  (0, _createClass2.default)(DevSocketClass, [{
    key: "init",
    value: function init(server) {
      var _this = this;

      this.theSocket = null; // eslint-disable-next-line global-require

      this.websocket = require('socket.io')(server);
      this.websocket.on('connection', function (s) {
        _this.theSocket = s;
        s.emit(c.READY);
      });
      this.running = true;
    }
  }, {
    key: "getSocket",
    value: function getSocket() {
      return this.running && this.websocket;
    }
  }]);
  return DevSocketClass;
}();

module.exports = new DevSocketClass();